---
title: "Live Google News SERP"
url: "https://docs.dataforseo.com/v3/serp/google/news/live/advanced/"
date: "2026-06-06"
---

## Live Google News SERP

  
Live Google News SERP provides real-time data on top search engine results for the specified keyword, search engine, and location.

 

 

 ![checked](https://docs.dataforseo.com/v3/wp-content/themes/dataforseo/assets/img/icons/checked-circle.svg) POST  https://api.dataforseo.com/v3/serp/google/news/live/advanced     

      

Pricing

 Your account will be charged for each request.  
The cost can be calculated on the [Pricing](https://dataforseo.com/pricing/serp/google-news-serp-api "Pricing") page.

 

 All POST data should be sent in the [JSON](https://en.wikipedia.org/wiki/JSON) format (UTF-8 encoding). The task setting is done using the POST method. When setting a task, you should send all task parameters in the task array of the generic POST array. You can send up to 2000 API calls per minute, each Live SERP API call can contain only one task.

Below you will find a detailed description of the parameters that are required or recommended for setting a task.

Main Parameters

| Field name | Type | Description |
|---|---|---|
| `keyword` | string | *keyword*  **required field**  you can specify **up to 700 characters** in the `keyword` field  all %## will be decoded (plus character '+' will be decoded to a space character)  if you need to use the "%" character for your `keyword`, please specify it as "%25";  if you need to use the “+” character for your `keyword`, please specify it as “%2B”;  if this field contains such parameters as *'allinanchor:', 'allintext:', 'allintitle:', 'allinurl:', 'define:', 'filetype:', 'id:', 'inanchor:', 'info:', 'intext:', 'intitle:', 'inurl:', 'link:', 'related:', 'site:'*, **the charge per task will be multiplied by 5**  **Note:** queries containing the ‘cache:’ parameter are not supported and will return a validation error     learn more about rules and limitations of `keyword` and `keywords` fields in DataForSEO APIs in this [Help Center article](https://dataforseo.com/help-center/rules-and-limitations-of-keyword-and-keywords-fields-in-dataforseo-apis) |
| `location_code` | integer | *search engine location code*  **required field if you don't specify** `location_name` or `location_coordinate`  **if you use this field, you don't need to specify `location_name` or `location_coordinate`**  you can receive the list of available locations of the search engines with their `location_code` by making a separate request to the `https://api.dataforseo.com/v3/serp/google/locations`  example:  `2840` |
| `language_code` | string | *search engine language code*  **required field if you don't specify** `language_name`  **if you use this field, you don't need to specify `language_name`**  you can receive the list of available languages of the search engine with their `language_code` by making a separate request to the `https://api.dataforseo.com/v3/serp/google/languages`example:`en` |
| `depth` | integer | *parsing depth*  optional field  number of results in SERP  default value: `10`  max value: `200`     **Your account will be billed per each SERP containing up to 10 results;**Setting depth above 10 may result in additional charges if the search engine returns more than 10 results;  If the specified depth is higher than the number of results in the response, the difference will be refunded to your account balance automatically  The cost can be calculated on the [Pricing](https://dataforseo.com/pricing/serp/google-news-serp-api "Pricing") page. |



  
Below you will find a drop-down list with the additional parameters you can use for setting a task.  
Additional Parameters| Field name | Type | Description |
|---|---|---|
| `location_name` | string | *full name of search engine location*  **required field if you don't specify** `location_code` or `location_coordinate`  **if you use this field, you don't need to specify `location_code` or `location_coordinate`**  you can receive the list of available locations of the search engine with their `location_name` by making a separate request to the `https://api.dataforseo.com/v3/serp/google/locations`  example:  `London,England,United Kingdom` |
| `language_name` | string | *full name of search engine language*  **required field if you don't specify** `language_code`  **if you use this field, you don't need to specify `language_code`**  you can receive the list of available languages of the search engine with their `language_name` by making a separate request to the `https://api.dataforseo.com/v3/serp/google/languages`  example:  `English` |
| `os` | string | *device operating system*  optional field  **note that this API provides results for desktop only**  choose from the following values: `windows`, `macos`  default value: `windows` |
| `max_crawl_pages` | integer | *page crawl limit*  optional field  number of search results pages to crawl  max value: `100`  **Note:** the `max_crawl_pages` and `depth` parameters complement each other;  learn more at [our help center](https://dataforseo.com/help-center/what-is-max-crawl-pages-and-how-does-it-work) |
| `search_param` | string | *additional parameters of the search query*  optional field  [Get the list of available parameters and additional details here.](https://dataforseo.com/help-center/google-search-engine-parameters-and-how-to-use-them) |
| `calculate_rectangles` | boolean | *calculate pixel rankings for SERP elements in advanced results*  optional field  pixel ranking refers to the distance between the result snippet and top left corner of the screen;  [Visit Help Center to learn more&gt;&gt;](https://dataforseo.com/help-center/pixel-ranking-in-serp-api)  by default, the parameter is set to `false`  **Note:** if set to `true`, the charge per task will be multiplied by 2 |
| `browser_screen_width` | integer | *browser screen width*  optional field  you can set a custom browser screen width to calculate pixel rankings for a particular device;  by default, the parameter is set to `1920`;  **Note:** to use this parameter, set `calculate_rectangles` to `true` |
| `browser_screen_height` | integer | *browser screen height*  optional field  you can set a custom browser screen height to calculate pixel rankings for a particular device;  by default, the parameter is set to `1080`;  **Note:** to use this parameter, set `calculate_rectangles` to `true` |
| `browser_screen_resolution_ratio` | integer | *browser screen resolution ratio*  optional field  you can set a custom browser screen resolution ratio to calculate pixel rankings for a particular device;  by default, the parameter is set to `1`;  **Note:** to use this parameter, set `calculate_rectangles` to `true` |
| `url` | string | *direct URL of the search query*  optional field  you can specify a direct URL and we will sort it out to the necessary fields. Note that this method is the most difficult for our API to process and also requires you to specify the exact language and location in the URL. In most cases, we wouldn’t recommend using this method.  example:  `https://www.google.co.uk/search?q=%20rank%20tracker%20api&hl=en&gl=GB&uule=w+CAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS` |
| `location_coordinate` | string | *GPS coordinates of a location*  **required field if you don't specify** `location_name` or `location_code`  **if you use this field, you don't need to specify `location_name` or `location_code`**  `location_coordinate` parameter should be specified in the *"latitude,longitude,radius"* format  the maximum number of decimal digits for *"latitude"* and *"longitude"*: 7  the minimum value for *"radius"*: 199.9 (mm)  the maximum value for *"radius"*: 199999 (mm)  example:  `53.476225,-2.243572,200` |
| `se_domain` | string | *search engine domain*  optional field  we choose the relevant search engine domain automatically according to the location and language you specify  however, you can set a custom search engine domain in this field  example:  `google.co.uk`, `google.com.au`, `google.de`, etc. |



As a response of the API server, you will receive [JSON](https://en.wikipedia.org/wiki/JSON)-encoded data containing a `tasks` array with the information specific to the set tasks.

**Description of the fields in the results array:**

| Field name | Type | Description |
|---|---|---|
| `version` | string | *the current version of the API* |
| `status_code` | integer | *general status code*   you can find the full list of the response codes [here](https://docs.dataforseo.com/v3/appendix/errors.md)   **Note:** we strongly recommend designing a necessary system for handling related exceptional or error conditions |
| `status_message` | string | *general informational message*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *total tasks cost, USD* |
| `tasks_count` | integer | *the number of tasks in the **`tasks`** array* |
| `tasks_error` | integer | *the number of tasks in the **`tasks`** array returned with an error* |
| **`tasks`** | array | *array of tasks* |
| `id` | string | *task identifier*   **unique task identifier in our system in the [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier) format** |
| `status_code` | integer | *status code of the task*   generated by DataForSEO; can be within the following range: 10000-60000   you can find the full list of the response codes [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `status_message` | string | *informational message of the task*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *cost of the task, USD* |
| `result_count` | integer | *number of elements in the `result` array* |
| `path` | array | *URL path* |
| `data` | object | *contains the same parameters that you specified in the POST request* |
| **`result`** | array | *array of results* |
| `keyword` | string | *keyword received in a POST array* **the keyword is returned with decoded %## (plus character ‘+’ will be decoded to a space character)** |
| `type` | string | *search engine type in a POST array* |
| `se_domain` | string | *search engine domain in a POST array* |
| `location_code` | integer | *location code in a POST array* |
| `language_code` | string | *language code in a POST array* |
| `check_url` | string | *direct URL to search engine results* you can use it to make sure that we provided accurate results |
| `datetime` | string | *date and time when the result was received*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2019-11-15 12:57:46 +00:00` |
| `spell` | object | *autocorrection of the search engine*   if the search engine provided results for a keyword that was corrected, we will specify the keyword corrected by the search engine and the type of autocorrection |
| `keyword` | string | *keyword obtained as a result of search engine autocorrection*   the results will be provided for the corrected keyword |
| `type` | string | *type of autocorrection*   possible values:   `did_you_mean`, `showing_results_for`, `no_results_found_for`, `including_results_for` |
| `refinement_chips` | object | *search refinement chips* |
| `type` | string | *type of element = **‘refinement\_chips’*** |
| `xpath` | string | *the [XPath](https://en.wikipedia.org/wiki/XPath) of the element* |
| `items` | array | *items of the element* |
| `type` | string | *type of element = **‘refinement\_chips\_element’*** |
| `title` | string | *title of the element* |
| `url` | string | *search URL with refinement parameters* |
| `domain` | string | *domain in SERP* |
| `options` | array | *further search refinement options* |
| `type` | string | *type of element = **‘refinement\_chips\_option’*** |
| `title` | string | *title of the element* |
| `url` | string | *search URL with refinement parameters* |
| `domain` | string | *domain in SERP* |
| `includes_non_news_search_results` | boolean | *indicates whether the response contains non-news search results in addition to news content* |
| `item_types` | array | *types of search results in SERP*   contains types of search results (`items`) found in SERP.   possible item types:   `top_stories`, `news_search` |
| `se_results_count` | integer | *total number of results in SERP* |
| `items_count` | integer | *the number of results returned in the **`items`** array* |
| **`items`** | array | *elements of search results found in SERP* |
| **‘Google News’ SERP element** |  |  |
| `type` | string | *type of element = **‘news\_search’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `xpath` | string | *the [XPath](https://en.wikipedia.org/wiki/XPath) of the element* |
| `domain` | string | *domain name of the result in SERP* |
| `title` | string | *title of the result in SERP* |
| `url` | string | *URL of the result in SERP* |
| `image_url` | string | *URL of the image*   the URL leading to the image on the original resource or DataForSEO storage (in case the original source is not available) |
| `snippet` | string | *snippet of the result in SERP* |
| `time_published` | string | *indicates the time the news article was published* |
| `timestamp` | string | *date and time when the news was published*   in the format “year-month-date:minutes:UTC\_difference\_hours:UTC\_difference\_minutes”   example:   `2019-11-15 12:57:46 +00:00` |
| `rectangle` | object | *rectangle parameters*   contains cartesian coordinates and pixel dimensions of the result’s snippet in SERP   equals `null` if `calculate_rectangles` in the POST request is not set to `true` |
| `x` | integer | *x-axis coordinate*   x-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of the screen is the origin |
| `y` | integer | *y-axis coordinate*   y-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of the screen is the origin |
| `width` | integer | *width of the element in pixels* |
| `height` | integer | *height of the element in pixels* |
| **‘Top Stories’ SERP element** |  |  |
| `type` | string | *type of element = **‘top\_stories’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `position` | string | *the alignment of the element in SERP*   can take the following values:   `left` |
| `xpath` | string | *the [XPath](https://en.wikipedia.org/wiki/XPath) of the element* |
| `title` | string | *title of the result in SERP* |
| `items` | array | *additional items present in the element*   if there are none, equals `null` |
| `type` | string | *type of element = ‘**top\_stories\_element**‘* |
| `source` | string | *name of the news source* |
| `domain` | string | *domain name of the news source* |
| `title` | string | *news title* |
| `date` | string | *time of publishing*   the approximate time when the news article appeared online   example:   `"23 hours ago"` |
| `amp_version` | boolean | *amp version available*   indicates whether the AMP version of the webpage is available |
| `timestamp` | string | *date and time when the news was published*   in the format “year-month-date:minutes:UTC\_difference\_hours:UTC\_difference\_minutes”   example:   `2019-11-15 12:57:46 +00:00` |
| `url` | string | *URL of the result in SERP* |
| `image_url` | string | *URL of the image*   the URL leading to the image on the original resource or DataForSEO storage (in case the original source is not available) |
| `rectangle` | object | *rectangle parameters*   contains cartesian coordinates and pixel dimensions of the result’s snippet in SERP   equals `null` if `calculate_rectangles` in the POST request is not set to `true` |
| `x` | integer | *x-axis coordinate*   x-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of the screen is the origin |
| `y` | integer | *y-axis coordinate*   y-axis coordinate of the top-left corner of the result’s snippet, where top-left corner of the screen is the origin |
| `width` | integer | *width of the element in pixels* |
| `height` | integer | *height of the element in pixels* |



 

 









> Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

```
# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request POST "https://api.dataforseo.com/v3/serp/google/news/live/advanced" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw '[
    {
        "language_code": "en",
        "location_code": 2840,
        "keyword": "android"
    }
]'
```





```php
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
try {
    // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
    $client = new RestClient($api_url, null, 'login', 'password');
} catch (RestClientException $e) {
    echo "n";
    print "HTTP code: {$e->getHttpCode()}n";
    print "Error code: {$e->getCode()}n";
    print "Message: {$e->getMessage()}n";
    print  $e->getTraceAsString();
    echo "n";
    exit();
}
$post_array = array();
// You can set only one task at a time
$post_array[] = array(
    "language_code" => "en",
    "location_code" => 2840,
    "keyword" => mb_convert_encoding("albert einstein", "UTF-8")
);
try {
    // POST /v3/serp/google/news/live/advanced
    // in addition to 'google' and 'news' you can also set other search engine and type parameters
    // the full list of possible parameters is available in documentation
    $result = $client->post('/v3/serp/google/news/live/advanced', $post_array);
    print_r($result);
    // do something with post result
} catch (RestClientException $e) {
    echo "n";
    print "HTTP code: {$e->getHttpCode()}n";
    print "Error code: {$e->getCode()}n";
    print "Message: {$e->getMessage()}n";
    print  $e->getTraceAsString();
    echo "n";
}
$client = null;
?>
```





```js
const axios = require('axios');

axios({
    method: 'post',
    url: 'https://api.dataforseo.com/v3/serp/google/news/live/advanced',
    auth: {
        username: 'login',
        password: 'password'
    },
    data: [{
        "keyword": encodeURI("android"),
        "language_code": "en",
        "location_code": 2840
    }],
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
```





```python
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
post_data = dict()
# You can set only one task at a time
post_data[len(post_data)] = dict(
    language_code="en",
    location_code=2840,
    keyword="android",
    calculate_rectangles=true
)
# POST /v3/serp/google/news/live/advanced
# in addition to 'google' and 'news' you can also set other search engine and type parameters
# the full list of possible parameters is available in documentation
response = client.post("/v3/serp/google/news/live/advanced", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
```





```csharp
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task serp_live_advanced()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                //DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            var postData = new List<object>();
            // You can set only one task at a time
            postData.Add(new
            {
                language_code = "en",
                location_code = 2840,
                keyword = "android",
                calculate_rectangles = true
            });
            // POST /v3/serp/google/news/live/advanced
            // in addition to 'google' and 'news' you can also set other search engine and type parameters
            // the full list of possible parameters is available in documentation
            var taskPostResponse = await httpClient.PostAsync("/v3/serp/google/news/live/advanced", new StringContent(JsonConvert.SerializeObject(postData)));
            var result = JsonConvert.DeserializeObject<dynamic>(await taskPostResponse.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}
```





> The above command returns JSON structured like this:

```
{
  "version": "0.1.20220104",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "14.2469 sec.",
  "cost": 0.006,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "01132007-1535-0139-0000-7b275022ce6d",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "14.1495 sec.",
      "cost": 0.006,
      "result_count": 1,
      "path": [
        "v3",
        "serp",
        "google",
        "news",
        "live",
        "advanced"
      ],
      "data": {
        "api": "serp",
        "function": "live",
        "se": "google",
        "se_type": "news",
        "language_name": "English",
        "location_name": "United States",
        "keyword": "android",
        "calculate_rectangles": true,
        "device": "desktop",
        "os": "windows"
      },
      "result": [
        {
          "keyword": "android",
          "type": "news",
          "se_domain": "google.com",
          "location_code": 2840,
          "language_code": "en",
          "check_url": "https://www.google.com/search?q=android&num=100&hl=en&gl=US&gws_rd=cr&tbm=nws&uule=w+CAIQIFISCQs2MuSEtepUEUK33kOSuTsc&ie=UTF-8&oe=UTF-8",
          "datetime": "2022-01-13 18:07:52 +00:00",
          "spell": null,
          "refinement_chips": null,
          "includes_non_news_search_results": false,
          "item_types": [
            "news_search",
            "top_stories"
          ],
          "se_results_count": 771000000,
          "items_count": 100,
          "items": [
            {
              "type": "news_search",
              "rank_group": 1,
              "rank_absolute": 1,
              "xpath": "/html[1]/body[1]/div[7]/div[1]/div[10]/div[1]/div[1]/div[2]/div[2]/div[1]/div[1]/div[1]",
              "domain": "www.eff.org",
              "title": "VICTORY: Google Releases “disable 2g” Feature for New Android Smartphones",
              "url": "https://www.eff.org/deeplinks/2022/01/victory-google-releases-disable-2g-feature-new-android-smartphones",
              "image_url": "https://api.dataforseo.com/cdn/i/01132007-1535-0139-0000-7b275022ce6d:0",
              "snippet": "Last year Google quietly pushed a new feature to its Android operating nsystem allowing users to optionally disable 2G at the modem level in...",
              "time_published": null,
              "timestamp": "2022-01-12 22:07:51 +00:00",
              "rectangle": {
                "x": 180,
                "y": 182,
                "width": 652,
                "height": 178
              }
            },
            {
              "type": "top_stories",
              "rank_group": 1,
              "rank_absolute": 2,
              "position": "left",
              "xpath": "/html[1]/body[1]/div[7]/div[1]/div[10]/div[1]/div[1]/div[2]/div[2]/div[1]/div[1]/g-section-with-header[1]",
              "title": "Nvidia's Shield TVs get Android 11 upgrade",
              "items": [
                {
                  "type": "top_stories_element",
                  "source": "The Verge",
                  "domain": "www.theverge.com",
                  "title": "The Nvidia Shield is getting Android 11 and other upgrades",
                  "date": "1 day ago",
                  "amp_version": false,
                  "timestamp": "2022-01-12 18:07:51 +00:00",
                  "url": "https://www.theverge.com/2022/1/12/22880057/nvidia-shield-android-11-update-set-top-box-streaming",
                  "image_url": null
                },
                {
                  "type": "top_stories_element",
                  "source": "PC Gamer",
                  "domain": "www.pcgamer.com",
                  "title": "Nvidia Shield Android 11 update brings improved 4k streaming and gaming",
                  "date": "10 hours ago",
                  "amp_version": false,
                  "timestamp": "2022-01-13 08:07:51 +00:00",
                  "url": "https://www.pcgamer.com/nvidia-shield-android-11-update-brings-improved-4k-streaming-and-gaming/",
                  "image_url": null
                },
                {
                  "type": "top_stories_element",
                  "source": "Gizmodo",
                  "domain": "gizmodo.com",
                  "title": "Nvidia Shield TVs Are Getting a Long-Awaited Update, but Not Android 12",
                  "date": "1 day ago",
                  "amp_version": false,
                  "timestamp": "2022-01-12 18:07:51 +00:00",
                  "url": "https://gizmodo.com/nvidia-shield-tvs-are-getting-a-long-awaited-update-bu-1848342653",
                  "image_url": null
                }
              ],
              "rectangle": {
                "x": 180,
                "y": 376,
                "width": 652,
                "height": 325
              }
            },
            {
              "type": "news_search",
              "rank_group": 2,
              "rank_absolute": 3,
              "xpath": "/html[1]/body[1]/div[7]/div[1]/div[10]/div[1]/div[1]/div[2]/div[2]/div[1]/div[1]/div[2]",
              "domain": "www.cnet.com",
              "title": "Nvidia's GeForce Now service can stream Fortnite on iPhone and Android",
              "url": "https://www.cnet.com/tech/gaming/nvidias-geforce-now-service-can-stream-fortnite-on-iphone-and-android/",
              "image_url": "https://api.dataforseo.com/cdn/i/01132007-1535-0139-0000-7b275022ce6d:1",
              "snippet": "The game streaming service, offered by chipmaker Nvidia, has new touch ncontrols to make it easier to play the game too.",
              "time_published": null,
              "timestamp": "2022-01-13 17:07:51 +00:00",
              "rectangle": {
                "x": 180,
                "y": 729,
                "width": 652,
                "height": 178
              }
            },
            {
              "type": "top_stories",
              "rank_group": 2,
              "rank_absolute": 4,
              "position": "left",
              "xpath": "/html[1]/body[1]/div[7]/div[1]/div[10]/div[1]/div[1]/div[2]/div[2]/div[1]/div[1]/g-section-with-header[2]",
              "title": "News about Android",
              "items": [
                {
                  "type": "top_stories_element",
                  "source": "Ars Technica",
                  "domain": "arstechnica.com",
                  "title": "After ruining Android messaging, Google says iMessage is too powerful",
                  "date": "2 days ago",
                  "amp_version": false,
                  "timestamp": "2022-01-11 18:07:51 +00:00",
                  "url": "https://arstechnica.com/gadgets/2022/01/after-ruining-android-messaging-google-says-imessage-is-too-powerful/"
                },
                {
                  "type": "top_stories_element",
                  "source": "How-To Geek",
                  "domain": "www.howtogeek.com",
                  "title": "Watch Out for Wordle Scams on iPhone and Android",
                  "date": "1 day ago",
                  "amp_version": false,
                  "timestamp": "2022-01-12 18:07:51 +00:00",
                  "url": "https://www.howtogeek.com/779288/watch-out-for-wordle-scams-on-iphone-and-android/"
                },
                {
                  "type": "top_stories_element",
                  "source": "Android Police",
                  "domain": "www.androidpolice.com",
                  "title": "Apple’s leaked take on the punch-hole camera would make it stand out from nthe Android crowd once again",
                  "date": "4 hours ago",
                  "amp_version": false,
                  "timestamp": "2022-01-13 14:07:51 +00:00",
                  "url": "https://www.androidpolice.com/apples-leaked-take-on-the-punch-hole-camera-would-make-it-stand-out-from-the-android-crowd-once-again/"
                }
              ],
              "rectangle": {
                "x": 180,
                "y": 923,
                "width": 652,
                "height": 325
              }
            }
          ]
        }
      ]
    }
  ]
}
```









 

  cURL   php   Node.js   Python   cSharp